GCUBETemplate1Text2Image (gCube Guided Tour Widget 1.6.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.widgets.guidedtour.client.steps

## Class GCUBETemplate1Text2Image

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.widgets.guidedtour.client.steps.TourStep
        - - org.gcube.portlets.widgets.guidedtour.client.steps.GCUBETemplate1Text2Image

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public abstract class GCUBETemplate1Text2Image
      extends TourStep

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class org.gcube.portlets.widgets.guidedtour.client.steps.TourStep

      `textHtml, title, topImage`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GCUBETemplate1Text2Image()`
    `GCUBETemplate1Text2Image(boolean showTitle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit()`
    `abstract String` | `setStepBody()`
    `abstract String` | `setStepImage()`
    `abstract String` | `setStepOtherImage()`
    `abstract String` | `setStepTitle()`
    `protected void` | `setTheBody()`
    `protected void` | `setTheImage()`
    `protected void` | `setTheOtherImage()`
    `protected void` | `setTheTitle()`
    `void` | `switchLanguage(TourLanguage language)`

    - ### Methods inherited from class org.gcube.portlets.widgets.guidedtour.client.steps.TourStep

      `getTitle, getTitleElement, isShowTitle, setTextVerticalAlignment`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GCUBETemplate1Text2Image

          public GCUBETemplate1Text2Image()

    - #### GCUBETemplate1Text2Image

          public GCUBETemplate1Text2Image(boolean showTitle)

  - ### Method Detail

    - #### setStepTitle

          public abstract String setStepTitle()

    - #### setStepBody

          public abstract String setStepBody()

    - #### setStepImage

          public abstract String setStepImage()

    - #### setStepOtherImage

          public abstract String setStepOtherImage()

    - #### switchLanguage

          public void switchLanguage(TourLanguage language)

      Overrides:
        `switchLanguage` in class `TourStep`

    - #### setTheTitle

          protected void setTheTitle()

      Specified by:
        `setTheTitle` in class `TourStep`

    - #### setTheBody

          protected void setTheBody()

      Specified by:
        `setTheBody` in class `TourStep`

    - #### setTheImage

          protected void setTheImage()

      Specified by:
        `setTheImage` in class `TourStep`

    - #### setTheOtherImage

          protected void setTheOtherImage()

    - #### commit

          public void commit()

      Overrides:
        `commit` in class `TourStep`

Copyright © 2014. All Rights Reserved.